Bukkit Forge Tool 1.5.2 ports the Bukkit Plugin API to minecraft. It can load plugins, commands work, also there are a lot of things that work, permissions should work too and this is compatible with minecraft 1.5.2 and 1.5.1. If you want to use this tool, you have to install first WorldEdit 5.4.5. This TOOL